Loading...
Searching...
No Matches
peripheral::DeviceManager::DeviceEvent Struct Reference

Event: A peripheral device was added or removed. More...

`import "PeripheralDeviceManager.idl";`

Inheritance diagram for peripheral::DeviceManager::DeviceEvent:

## Public Attributes

vector< Device > | devices
| Affected devices.
vector< Device > | allDevices
| New list of discovered devices after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A peripheral device was added or removed.

Definition at line 73 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## allDevices

vector<Device> peripheral::DeviceManager::DeviceEvent::allDevices

New list of discovered devices after change.

Definition at line 75 of file PeripheralDeviceManager.idl.

## devices

vector<Device> peripheral::DeviceManager::DeviceEvent::devices

Affected devices.

Definition at line 74 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl